All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts
Interface IQBasedPromptViewInterface

All Superinterfaces:
  com.sas.prompts.PromptViewInterface

    public interface IQBasedPromptViewInterface

extends com.sas.prompts.PromptViewInterface

Method Summary
`abstract void` | `processValueProviderQuery(com.sas.iquery.metadata.business.BusinessQuery query)` This method is called when generating the query that will retrieve possible selection values for this prompt instance.

Method Detail

### processValueProviderQuery

    void processValueProviderQuery(com.sas.iquery.metadata.business.BusinessQuery query)

  This method is called when generating the query that will retrieve possible selection values for this prompt instance. It is called after the core prompt code (value provider) has performed all other default query setup. This gives applications and others implementing the interface the opportunity to setup the query in a way that is specific to the context in which the prompt is being used and based on information which the core prompt code may not be aware of. The following is a the primary use case which motivated the introduction of this API. Some dynamic prompt queries may be based on relational Information Maps that reference data from multiple physical tables. In some case, it is considered appropriate to employ joins when constructing these dynamic prompt queries. In other cases, it is not appropriate to employ the joins. The implementation of this routine can configure the supplied BusinessQuery based on the behavior that is desired.

  Parameters:
    `query` - A dataselection that has been setup by the dynamic prompt code(valueproviders) that the application can use for additional setup.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.